Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.ant
Class Ssh.Exec

    java.lang.Object
      com.sshtools.ant.SshSubTask
          com.sshtools.ant.Ssh.Shell
              com.sshtools.ant.Ssh.Exec

All Implemented Interfaces:
  PseudoTerminal

Enclosing class:
  Ssh

public class Ssh.Exec
extends Ssh.Shell

Nested Class Summary

Nested classes inherited from class com.sshtools.ant.Ssh.Shell
`Ssh.Shell.Read, Ssh.Shell.Write`

Field Summary

Fields inherited from class com.sshtools.ant.Ssh.Shell
`output`

Fields inherited from class com.sshtools.ant.SshSubTask
`parent, taskString`

Fields inherited from interface com.sshtools.j2ssh.session.PseudoTerminal
`CS7, CS8, ECHO, ECHOCTL, ECHOE, ECHOK, ECHOKE, ECHONL, ICANON, ICRNL, IEXTEN, IGNCR, IGNPAR, IMAXBEL, INLCR, INPCK, ISIG, ISTRIP, IUCLC, IXANY, IXOFF, IXON, NOFLSH, OCRNL, OLCUC, ONLCR, ONLRET, ONOCR, OPOST, PARENB, PARMRK, PARODD, PENDIN, TOSTOP, TTY_OP_END, TTY_OP_ISPEED, TTY_OP_OSPEED, VDISCARD, VDSUSP, VEOF, VEOL, VEOL2, VERASE, VFLUSH, VINTR, VKILL, VLNEXT, VQUIT, VREPRINT, VSTART, VSTATUS, VSTOP, VSUSP, VSWTCH, VWERASE, XCASE`

Constructor Summary
`Ssh.Exec()`

Method Summary
`void` | `execute(SshClient ssh)`
`void` | `setCmd(java.lang.String cmd)`

Methods inherited from class com.sshtools.ant.Ssh.Shell
`allocatePseudoTerminal, createRead, createWrite, getColumns, getEncodedTerminalModes, getHeight, getRows, getTerm, getWidth, performTasks, setCols, setRows, setTerm, validate`

Methods inherited from class com.sshtools.ant.SshSubTask
`log, log, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ssh.Exec

    public Ssh.Exec()

Method Detail

### execute

    public void execute(SshClient ssh)
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `Ssh.Shell`
  Throws:
    `org.apache.tools.ant.BuildException`

### setCmd

    public void setCmd(java.lang.String cmd)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD